Chat

Remove participant from chat

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
DELETE/api/chat/projects/{projectId}/chats/{chatId}/participants

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.removeParticipant(
  "proj_EybenqPk8Ngj",
  "LUv3pdBBVpmOLkcp",
  {
    userId: "usr_Lvctk9hD6Sqw20"
  }
);
const { data: result } = await chat.removeParticipant(
  "proj_EybenqPk8Ngj",
  "LUv3pdBBVpmOLkcp",
  {
    userId: "usr_Lvctk9hD6Sqw20"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes

Request Body

json
{
  "userId": "usr_l6ZF362tQSr4nE"
}
{
  "userId": "usr_l6ZF362tQSr4nE"
}

Responses

200Participant removed
json
{
  "message": "Participant removed successfully"
}
{
  "message": "Participant removed successfully"
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub